package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.SysSdgsat1Case;

/**
 * SDGSAT-1 应用案例服务接口
 * 
 * @author ruoyi
 */
public interface ISysSdgsat1CaseService
{
    /**
     * 查询应用案例
     * 
     * @param id 应用案例主键
     * @return 应用案例
     */
    public SysSdgsat1Case selectSysSdgsat1CaseById(Long id);

    /**
     * 查询应用案例列表
     * 
     * @param sysSdgsat1Case 应用案例
     * @return 应用案例集合
     */
    public List<SysSdgsat1Case> selectSysSdgsat1CaseList(SysSdgsat1Case sysSdgsat1Case);

    /**
     * 新增应用案例
     * 
     * @param sysSdgsat1Case 应用案例
     * @return 结果
     */
    public int insertSysSdgsat1Case(SysSdgsat1Case sysSdgsat1Case);

    /**
     * 修改应用案例
     * 
     * @param sysSdgsat1Case 应用案例
     * @return 结果
     */
    public int updateSysSdgsat1Case(SysSdgsat1Case sysSdgsat1Case);

    /**
     * 批量删除应用案例
     * 
     * @param ids 需要删除的应用案例主键集合
     * @return 结果
     */
    public int deleteSysSdgsat1CaseByIds(Long[] ids);

    /**
     * 删除应用案例信息
     * 
     * @param id 应用案例主键
     * @return 结果
     */
    public int deleteSysSdgsat1CaseById(Long id);
}
